﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using CascadingDropdowns.Models;

namespace CascadingDropdowns.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index(ProductFilter filter)
        {
            ViewBag.Message = "Welcome to cascading dropdown demo! Choose product type to start!";

            if (filter == null)
            {
                filter = new ProductFilter();
            }

            return View(filter);
        }

        public JsonResult Manufacturers(int? id)
        {
            return Json(new { items = ProductFilter.GetManufacturers(id) }, JsonRequestBehavior.AllowGet);
        }

        public ActionResult About()
        {
            return View();
        }
    }
}