﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using CascadingDropdowns.Models;
using CascadingDropdowns.Service;

namespace CascadingDropdowns.Controllers
{
    public class ManufacturerController : Controller
    {
        private ProductService db = new ProductService();

        //
        // GET: /Default1/

        public ViewResult Index()
        {
            return View(db.Manufacturers.ToList());
        }

        //
        // GET: /Default1/Details/5

        public ViewResult Details(int id)
        {
            Manufacturer manufacturer = db.Manufacturers.Find(id);
            return View(manufacturer);
        }

        //
        // GET: /Default1/Create

        public ActionResult Create()
        {
            return View();
        }

        //
        // POST: /Default1/Create

        [HttpPost]
        public ActionResult Create(Manufacturer manufacturer)
        {
            if (ModelState.IsValid)
            {
                db.Manufacturers.Add(manufacturer);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(manufacturer);
        }

        //
        // GET: /Default1/Edit/5

        public ActionResult Edit(int id)
        {
            Manufacturer manufacturer = db.Manufacturers.Find(id);
            return View(manufacturer);
        }

        //
        // POST: /Default1/Edit/5

        [HttpPost]
        public ActionResult Edit(Manufacturer manufacturer)
        {
            if (ModelState.IsValid)
            {
                db.Entry(manufacturer).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(manufacturer);
        }

        //
        // GET: /Default1/Delete/5

        public ActionResult Delete(int id)
        {
            Manufacturer manufacturer = db.Manufacturers.Find(id);
            return View(manufacturer);
        }

        //
        // POST: /Default1/Delete/5

        [HttpPost, ActionName("Delete")]
        public ActionResult DeleteConfirmed(int id)
        {
            Manufacturer manufacturer = db.Manufacturers.Find(id);
            db.Manufacturers.Remove(manufacturer);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}