﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using CascadingDropdowns.Models;
using CascadingDropdowns.Service;

namespace CascadingDropdowns.Controllers
{ 
    public class ModelController : Controller
    {
        private ProductService db = new ProductService();

        //
        // GET: /Model/

        public ViewResult Index()
        {
            return View(db.Models.ToList());
        }

        //
        // GET: /Model/Details/5

        public ViewResult Details(int id)
        {
            Model model = db.Models.Find(id);
            return View(model);
        }

        //
        // GET: /Model/Create

        public ActionResult Create()
        {
            return View();
        } 

        //
        // POST: /Model/Create

        [HttpPost]
        public ActionResult Create(Model model)
        {
            if (ModelState.IsValid)
            {
                db.Models.Add(model);
                db.SaveChanges();
                return RedirectToAction("Index");  
            }

            return View(model);
        }
        
        //
        // GET: /Model/Edit/5
 
        public ActionResult Edit(int id)
        {
            Model model = db.Models.Find(id);
            return View(model);
        }

        //
        // POST: /Model/Edit/5

        [HttpPost]
        public ActionResult Edit(Model model)
        {
            if (ModelState.IsValid)
            {
                db.Entry(model).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(model);
        }

        //
        // GET: /Model/Delete/5
 
        public ActionResult Delete(int id)
        {
            Model model = db.Models.Find(id);
            return View(model);
        }

        //
        // POST: /Model/Delete/5

        [HttpPost, ActionName("Delete")]
        public ActionResult DeleteConfirmed(int id)
        {            
            Model model = db.Models.Find(id);
            db.Models.Remove(model);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}