﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using CascadingDropdowns.Models;
using CascadingDropdowns.Service;

namespace CascadingDropdowns.Controllers
{ 
    public class ProductTypeController : Controller
    {
        private ProductService db = new ProductService();

        //
        // GET: /ProductType/

        public ViewResult Index()
        {
            return View(db.ProductTypes.ToList());
        }

        //
        // GET: /ProductType/Details/5

        public ViewResult Details(int id)
        {
            ProductType producttype = db.ProductTypes.Find(id);
            return View(producttype);
        }

        //
        // GET: /ProductType/Create

        public ActionResult Create()
        {
            return View();
        } 

        //
        // POST: /ProductType/Create

        [HttpPost]
        public ActionResult Create(ProductType producttype)
        {
            if (ModelState.IsValid)
            {
                db.ProductTypes.Add(producttype);
                db.SaveChanges();
                return RedirectToAction("Index");  
            }

            return View(producttype);
        }
        
        //
        // GET: /ProductType/Edit/5
 
        public ActionResult Edit(int id)
        {
            ProductType producttype = db.ProductTypes.Find(id);
            return View(producttype);
        }

        //
        // POST: /ProductType/Edit/5

        [HttpPost]
        public ActionResult Edit(ProductType producttype)
        {
            if (ModelState.IsValid)
            {
                db.Entry(producttype).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(producttype);
        }

        //
        // GET: /ProductType/Delete/5
 
        public ActionResult Delete(int id)
        {
            ProductType producttype = db.ProductTypes.Find(id);
            return View(producttype);
        }

        //
        // POST: /ProductType/Delete/5

        [HttpPost, ActionName("Delete")]
        public ActionResult DeleteConfirmed(int id)
        {            
            ProductType producttype = db.ProductTypes.Find(id);
            db.ProductTypes.Remove(producttype);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}