﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using CascadingDropdowns.Models;
using CascadingDropdowns.Service;

namespace CascadingDropdowns.Controllers
{ 
    public class ProductVersionController : Controller
    {
        private ProductService db = new ProductService();

        //
        // GET: /ProductVersion/

        public ViewResult Index()
        {
            return View(db.Versions.ToList());
        }

        //
        // GET: /ProductVersion/Details/5

        public ViewResult Details(int id)
        {
            ProductVersion productversion = db.Versions.Find(id);
            return View(productversion);
        }

        //
        // GET: /ProductVersion/Create

        public ActionResult Create()
        {
            return View();
        } 

        //
        // POST: /ProductVersion/Create

        [HttpPost]
        public ActionResult Create(ProductVersion productversion)
        {
            if (ModelState.IsValid)
            {
                db.Versions.Add(productversion);
                db.SaveChanges();
                return RedirectToAction("Index");  
            }

            return View(productversion);
        }
        
        //
        // GET: /ProductVersion/Edit/5
 
        public ActionResult Edit(int id)
        {
            ProductVersion productversion = db.Versions.Find(id);
            return View(productversion);
        }

        //
        // POST: /ProductVersion/Edit/5

        [HttpPost]
        public ActionResult Edit(ProductVersion productversion)
        {
            if (ModelState.IsValid)
            {
                db.Entry(productversion).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(productversion);
        }

        //
        // GET: /ProductVersion/Delete/5
 
        public ActionResult Delete(int id)
        {
            ProductVersion productversion = db.Versions.Find(id);
            return View(productversion);
        }

        //
        // POST: /ProductVersion/Delete/5

        [HttpPost, ActionName("Delete")]
        public ActionResult DeleteConfirmed(int id)
        {            
            ProductVersion productversion = db.Versions.Find(id);
            db.Versions.Remove(productversion);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}