﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using CascadingDropdowns.Models;
using CascadingDropdowns.Service;

namespace CascadingDropdowns.Controllers
{ 
    public class TrimLevelController : Controller
    {
        private ProductService db = new ProductService();

        //
        // GET: /TrimLevel/

        public ViewResult Index()
        {
            return View(db.TrimLevels.ToList());
        }

        //
        // GET: /TrimLevel/Details/5

        public ViewResult Details(int id)
        {
            TrimLevel trimlevel = db.TrimLevels.Find(id);
            return View(trimlevel);
        }

        //
        // GET: /TrimLevel/Create

        public ActionResult Create()
        {
            return View();
        } 

        //
        // POST: /TrimLevel/Create

        [HttpPost]
        public ActionResult Create(TrimLevel trimlevel)
        {
            if (ModelState.IsValid)
            {
                db.TrimLevels.Add(trimlevel);
                db.SaveChanges();
                return RedirectToAction("Index");  
            }

            return View(trimlevel);
        }
        
        //
        // GET: /TrimLevel/Edit/5
 
        public ActionResult Edit(int id)
        {
            TrimLevel trimlevel = db.TrimLevels.Find(id);
            return View(trimlevel);
        }

        //
        // POST: /TrimLevel/Edit/5

        [HttpPost]
        public ActionResult Edit(TrimLevel trimlevel)
        {
            if (ModelState.IsValid)
            {
                db.Entry(trimlevel).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(trimlevel);
        }

        //
        // GET: /TrimLevel/Delete/5
 
        public ActionResult Delete(int id)
        {
            TrimLevel trimlevel = db.TrimLevels.Find(id);
            return View(trimlevel);
        }

        //
        // POST: /TrimLevel/Delete/5

        [HttpPost, ActionName("Delete")]
        public ActionResult DeleteConfirmed(int id)
        {            
            TrimLevel trimlevel = db.TrimLevels.Find(id);
            db.TrimLevels.Remove(trimlevel);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}