﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Web;
using CascadingDropdowns.Models;

namespace CascadingDropdowns.Service
{
    public class Initializer : DropCreateDatabaseIfModelChanges<ProductService>
    {
        protected override void Seed(ProductService context)
        {
            var models = new List<Model>();

            Manufacturer ford = new Manufacturer() { Name = "Ford" };
            Manufacturer vw = new Manufacturer() { Name = "VW" };
            Manufacturer bmw = new Manufacturer() { Name = "BMW" };
            Manufacturer suzuki = new Manufacturer() { Name = "Suzuki" };
            var manufacturers = new List<Manufacturer>() { ford, vw, bmw, suzuki };

            ProductType passVeh = new ProductType() { Name = "Passenger vehicle" };
            ProductType motocycle = new ProductType() { Name = "Motocycle" };
            var types = new List<ProductType>() { passVeh, motocycle };

            ProductVersion pvSedan = new ProductVersion() { Name = "Sedan" };
            ProductVersion pvHatchback = new ProductVersion() { Name = "Hatchback" };
            ProductVersion pvEstate = new ProductVersion() { Name = "Estate" };
            ProductVersion pvCabrio = new ProductVersion() { Name = "Cabriolet" };
            ProductVersion mcEnduro = new ProductVersion() { Name = "Enduro" };
            ProductVersion mcSport = new ProductVersion() { Name = "Sport" };
            var versions = new List<ProductVersion>() { pvSedan, pvEstate, pvCabrio, mcEnduro, mcSport };

            var trimStandard = new TrimLevel() { Name = "Standard" };
            var trimKinetic = new TrimLevel() { Name = "Kinetic" };
            var trimTrendline = new TrimLevel() { Name = "Trendline" };
            var trimComfortline = new TrimLevel() { Name = "Comfortline" };
            var trimHighline = new TrimLevel() { Name = "Highline" };

            models.Add(new Model() { Name = "GSX 750", Manufacturer = suzuki, Version = mcSport, Type = motocycle, TrimLevel = trimStandard, Price = 22000 });
            models.Add(new Model() { Name = "Focus", Manufacturer = ford, Version = pvHatchback, Type = passVeh, TrimLevel = trimStandard, Price = 25000 });
            models.Add(new Model() { Name = "Focus", Manufacturer = ford, Version = pvHatchback, Type = passVeh, TrimLevel = trimKinetic, Price = 25822.44M });
            models.Add(new Model() { Name = "Focus", Manufacturer = ford, Version = pvCabrio, Type = passVeh, TrimLevel = trimKinetic, Price = 25822.44M });
            models.Add(new Model() { Name = "Polo", Manufacturer = vw, Version = pvHatchback, Type = passVeh, TrimLevel = trimTrendline, Price = 25009 });
            models.Add(new Model() { Name = "Polo", Manufacturer = vw, Version = pvHatchback, Type = passVeh, TrimLevel = trimComfortline, Price = 29550M });
            models.Add(new Model() { Name = "Polo", Manufacturer = vw, Version = pvHatchback, Type = passVeh, TrimLevel = trimHighline, Price = 31211.24M });
            models.Add(new Model() { Name = "Polo", Manufacturer = vw, Version = pvCabrio, Type = passVeh, TrimLevel = trimComfortline, Price = 32625M });

            models.ForEach(m => context.Models.Add(m));
        }
    }
}